package com.example.tabulation;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.util.AttributeSet;
import android.view.View;

public class Carre extends View {

    private Paint pinceau;

    public Carre(Context context, AttributeSet attrs) {
        super(context, attrs);
        this.pinceau = new Paint();
    }

    @Override
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);

        this.pinceau.setColor(0x77000000);
        canvas.drawRect(getPaddingLeft(), getPaddingTop(), getWidth() - getPaddingRight(), getHeight() - getPaddingBottom(), this.pinceau);
    }
}
